---
title: List deliveries
slug: content-recommendations/api/list-deliveries
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "kkgEuqpe3QT4PGI5zd8p_",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.usea01.idio.episerver.net/1.0/deliveries",
    "servers": [
      {
        "url": "https://{hostname}/1.0/deliveries",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "List deliveries",
    "description": "<p>Retrieve all widget deliveries, including API keys where applicable.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Map of all deliveries",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "A map of delivery identifiers to their corresponding API keys.",
            "customType": "DeliveryMap",
            "schema": [
              {
                "name": "deliveries",
                "kind": "optional",
                "type": "map",
                "description": "<p>Key-value pairs where key is the delivery ID or name and value is the API key.</p>",
                "example": "",
                "customType": "map<string, Map>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/DeliveryMap",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "204",
        "description": "No active widget deliveries exist",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pQF9gcWj7wqrFe5mGRkEU",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.usea01.idio.episerver.net/1.0/deliveries \\\n     --header 'accept: application/json'"
        },
        {
          "id": "WIFScbTlAjVNhZQbNxgpx",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/deliveries\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "73EYzAhAYYU-zs6yQ7nrQ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/deliveries\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "GyQViHeRZaeGfvb26Wgr7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/deliveries\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pQF9gcWj7wqrFe5mGRkEU"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Map of all deliveries\n{\n  \"deliveries\": \"\"\n}"
        },
        {
          "id": "response-1-204",
          "language": "204",
          "code": "// No active widget deliveries exist\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}